## netcfg 1.49ubuntu1

=== debian/changelog ===
netcfg (1.49ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Set default hostname to 'ubuntu'.
    - Drop priority of netcfg/get_domain to medium for non-static
      configurations.
    - Use 'auto <interface>' for all interfaces, dropping allow-hotplug
      which doesn't work with current udev.
    - Call /usr/lib/network-manager/ifblacklist_migrate.sh from
      finish-install if present, so that 'auto dhcp' interfaces are disabled
      if network-manager is in use. May be preseeded away with
      netcfg/network-manager.
    - Bump the DHCP timeout to 30 seconds.

 -- Muharem Hrnjadovic <muharem@ubuntu.com>  Mon, 15 Jun 2009 08:50:06 +0200

netcfg (1.49) unstable; urgency=low

  [ Frans Pop ]
  * Drop support for the ppc64 architecture.

  [ Christian Perrier ]
  * Bump debhelper compatibility level to 6
  * Add myself to uploaders
  * No longer depends on -1 revision for libiw-dev

  [ Updated translations ]
  * Bengali (bn.po) by Md. Rezwan Shahid
  * Estonian (et.po) by Mattias Põldaru
  * Slovak (sk.po) by Ivan Masár

 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Jun 2009 19:45:15 +0200

netcfg (1.48ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Set default hostname to 'ubuntu'.
    - Drop priority of netcfg/get_domain to medium for non-static
      configurations.
    - Use 'auto <interface>' for all interfaces, dropping allow-hotplug
      which doesn't work with current udev.
    - Call /usr/lib/network-manager/ifblacklist_migrate.sh from
      finish-install if present, so that 'auto dhcp' interfaces are disabled
      if network-manager is in use. May be preseeded away with
      netcfg/network-manager.
    - Bump the DHCP timeout to 30 seconds.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 29 Apr 2009 22:26:31 +0100

netcfg (1.48) unstable; urgency=low

  [ Frans Pop ]
  * Remove myself as uploader.

  [ Glenn Saberton ]
  * Coding style improvements.
  * Refactor dhcp configuration code.

  [ Updated translations ]
  * Italian (it.po) by Milo Casagrande
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Ivan Masár

 -- Otavio Salvador <otavio@debian.org>  Sun, 05 Apr 2009 17:46:46 -0300

netcfg (1.47) unstable; urgency=low

  * Merge from Ubuntu:
    - Build for lpia.
    - Add an /etc/network/interfaces stanza for lo even if the netcfg menu
      item wasn't run (LP: #9532).
    - If we detect that the user entered a fully-qualified domain name as
      the hostname, then remove the domain part from the hostname as well as
      copying it to netcfg/get_domain (thanks, Alain Knaff; closes: #401220,
      LP: #11019).
  * Trim leading dots from netcfg/get_domain (closes: #459321).

  [ Updated translations ]
  * Esperanto (eo.po) by Felipe Castro
  * Basque (eu.po) by Piarres Beobide
  * Galician (gl.po) by marce villarino
  * Italian (it.po) by Milo Casagrande
  * Kazakh (kk.po) by Sarsenov D.
  * Malayalam (ml.po) by Praveen Arimbrathodiyil
  * Marathi (mr.po) by Sampada
  * Tagalog (tl.po) by Eric Pareja

 -- Colin Watson <cjwatson@debian.org>  Thu, 19 Feb 2009 01:16:16 +0000

netcfg (1.46ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Set default hostname to 'ubuntu'.
    - Drop priority of netcfg/get_domain to medium for non-static
      configurations.
    - Use 'auto <interface>' for all interfaces, dropping allow-hotplug
      which doesn't work with current udev.
    - Call /usr/lib/network-manager/ifblacklist_migrate.sh from
      finish-install if present, so that 'auto dhcp' interfaces are disabled
      if network-manager is in use. May be preseeded away with
      netcfg/network-manager.
    - Add an /etc/network/interfaces stanza for lo even if the netcfg menu
      item wasn't run.
    - Build for lpia.
    - Bump the DHCP timeout to 30 seconds.
    - If we detect that the user entered a fully-qualified domain name as
      the hostname, then remove the domain part from the hostname as well as
      copying it to netcfg/get_domain.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 09 Nov 2008 17:02:05 +0000

## netcfg 1.51ubuntu2trisquel1

=== debian/changelog ===
netcfg (1.51ubuntu2trisquel1) slaine; urgency=low

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 03 May 2011 22:26:23 +0000

netcfg (1.51ubuntu2) lucid; urgency=low

  * Rebuild against libiw30.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 01 Mar 2010 17:47:09 +0000

netcfg (1.51ubuntu1) lucid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Set default hostname to 'ubuntu'.
    - Drop priority of netcfg/get_domain to medium for non-static
      configurations.
    - Use 'auto <interface>' for all interfaces, dropping allow-hotplug
      which doesn't work with current udev.
    - Call /usr/lib/network-manager/ifblacklist_migrate.sh from
      finish-install if present, so that 'auto dhcp' interfaces are disabled
      if network-manager is in use. May be preseeded away with
      netcfg/network-manager.
    - Bump the DHCP timeout to 30 seconds.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 12 Nov 2009 03:39:44 -0800

netcfg (1.51) unstable; urgency=low

  [ Luca Favatella ]
  * /var/run/stab is Linux PCMCIA specific; provide a stub implementation of
    find_in_stab for non-Linux systems.
  * Don't build-dep on libiw-dev on kfreebsd-{i386,amd64}.
  * Add kfreebsd-{i386,amd64} architectures.

  [ Aurelien Jarno ]
  * Use kernel independent code to determine loopback interfaces.
  * Simplify detection of up interfaces.
  * Don't detect interfaces twice or more.
  * Sort interfaces by name.
  * Port ethtool-lite to GNU/kFreeBSD, and default to unkwown status if
    not on GNU/Linux or GNU/kFreeBSD.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 21 Jul 2009 23:17:11 +0200

netcfg (1.50) unstable; urgency=low

  [ Christian Perrier ]
  * No longer add ff02::3 to /etc/hosts
    Thanks to Marco d'Itri for the proposed change
    Closes: #533384

  [ Luca Favatella ]
  * If wireless is disabled, don't build and link wireless related stuff.
  * Disable by default wireless on non-linux architectures.
  * Inverse the logic about building without wireless support (WIRELESS=0).
  * Substitute Linux-specific code in get_all_ifs() using getifaddrs().

  [ Colin Watson ]
  * check_kill_switch is Linux-specific; provide a stub implementation for
    non-Linux systems.

  [ Otavio Salvador ]
  * Refactor dhcp.c code to use an argument list instead of an string.
  * Add support for udhcpc. This was based on Luk Claes but changed to
    avoid dropping support for dhclient, dhclient3 and pump for now.

  [ Updated translations ]
    * Hindi (hi.po)
    * Italian (it.po) by Milo Casagrande

 -- Otavio Salvador <otavio@debian.org>  Sun, 19 Jul 2009 15:02:44 -0300

=== debian/control ===
Source: netcfg
Section: debian-installer
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 6.0.0), dpkg-dev (>= 1.9.0), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41), po-debconf (>= 0.5.0), libiw-dev (>= 27+28pre9) [!kfreebsd-i386 !kfreebsd-amd64]
XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/netcfg
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/netcfg/ubuntu

Package: netcfg
XC-Package-Type: udeb
Architecture: i386 sparc alpha m68k arm armel armeb powerpc mips mipsel hppa ia64 amd64 lpia kfreebsd-i386 kfreebsd-amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, dhcp3-client-udeb (>= 3.1.0-2), ethernet-card-detection
Provides: configured-network
XB-Installer-Menu-Item: 1800
Description: Configure the network
 To install additional installer components or the Debian Base System over
 the network, you need to configure the network in the installer. This 
 component will first try to configure your network with DHCP and ask 
 you for static network configuration if this fails. The configured 
 network settings will be copied to your newly installed system.

Package: netcfg-static
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ethernet-card-detection
Provides: configured-network
XB-Installer-Menu-Item: 1800
Description: Configure a static network
 If you have information such as IP address, netmask, gateway, then you will be
 able to configure a static network.  If you don't know this information, you
 should ask your system administrator, or look at configuration via DHCP.

## netcfg 1.59

=== Makefile ===
CC		= gcc
TARGETS		?= netcfg-static netcfg

LDOPTS		= -ldebconfclient -ldebian-installer
CFLAGS		= -W -Wall -DNDEBUG 
COMMON_OBJS	= netcfg-common.o wireless.o

WIRELESS	= 1
ifneq ($(DEB_HOST_ARCH_OS),linux)
WIRELESS	= 0
endif
ifeq ($(DEB_HOST_ARCH),s390)
WIRELESS	= 0
endif

ifneq ($(WIRELESS),0)
LDOPTS		+= -liw
CFLAGS		+= -DWIRELESS
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0 -g3
else
CFLAGS += -Os -fomit-frame-pointer
endif

all: $(TARGETS)

netcfg-static: netcfg-static.o static.o
netcfg: netcfg.o dhcp.o static.o ethtool-lite.o

ethtool-lite: ethtool-lite-test.o
	$(CC) -o $@ $<
	
ethtool-lite-test.o: ethtool-lite.c
	$(CC) -c $(CFLAGS) -DTEST $(DEFS) $(INCS) -o $@ $<

$(TARGETS): $(COMMON_OBJS)
	$(CC) -o $@ $^ $(LDOPTS)

%.o: %.c
	$(CC) -c $(CFLAGS) $(DEFS) $(INCS) -o $@ $<

clean:
	rm -f $(TARGETS) ethtool-lite *.o

.PHONY: all clean

# vim:ts=8:noet

=== debian/changelog ===
netcfg (1.59) unstable; urgency=low

  [ Matt Palmer ]
  * Modify the DHCP configuration process to write out elements of
    resolv.conf that the user has entered manually, because the DHCP server
    didn't supply them.  Closes: #362029.
  * Add an ethtool-lite Makefile target, to assist people in building a
    standalone ethtool-lite for debugging purposes.  Closes: #608452.

  [ Updated translations ]
  * Northern Sami (se.po) by Børre Gaup

 -- Otavio Salvador <otavio@ossystems.com.br>  Sun, 02 Jan 2011 14:29:22 -0200

netcfg (1.58) unstable; urgency=low

  [ Updated translations ]
  * Lao (lo.po) by Anousak Souphavanh
  * Northern Sami (se.po) by Børre Gaup
  * Sinhala (si.po) by Danishka Navin

 -- Otavio Salvador <otavio@debian.org>  Fri, 24 Dec 2010 20:06:41 -0200

netcfg (1.57) unstable; urgency=low

  [ Otavio Salvador ]
  * Don't duplicate localhost definition for IPv4 and IPv6. Closes:
    #595107.

  [ Petter Reinholdtsen ]
  * Log detected link status to make it possible to see if link
    detection work properly or not.

  [ Otavio Salvador ]
  * netcfg: do not provide an empty /etc/dhcp3 dir.

  [ Updated translations ]
  * Bengali (bn.po) by Israt Jahan
  * Catalan (ca.po) by Jordi Mallach
  * Danish (da.po) by Anders Jenbo
  * Persian (fa.po) by Behrad Eslamifar
  * Icelandic (is.po) by Sveinn  Felli
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Romanian (ro.po) by Andrei Popescu

 -- Otavio Salvador <otavio@debian.org>  Fri, 12 Nov 2010 14:27:38 -0200

netcfg (1.56) unstable; urgency=low

  [ Aurelien Jarno ]
  * Add sparc64 to the architectures list.

  [ Updated translations ]
  * Asturian (ast.po) by maacub
  * Bulgarian (bg.po) by Damyan Ivanov

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 27 Aug 2010 19:35:49 +0200

netcfg (1.55) unstable; urgency=low

  [ Jeremie Koenig ]
  * More fixes for Hurd support, including network device detection
    (closes: 588761).

  [ Aurelien Jarno ]
  * dhcp: ask udhcpc for dns and not namesrv.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 06 Aug 2010 17:54:02 +0200

netcfg (1.54) unstable; urgency=low

  [ Samuel Thibault ]
  * Fixes for Hurd support.

  [ Updated translations ]
  * Belarusian (be.po) by Viktar Siarheichyk
  * Croatian (hr.po) by Josip Rodin
  * Kurdish (ku.po) by Erdal Ronahi
  * Macedonian (mk.po) by Arangel Angov

 -- Christian Perrier <bubulle@debian.org>  Sun, 11 Jul 2010 17:12:11 +0200

netcfg (1.53) unstable; urgency=low

  [ Samuel Thibault ]
  * Fixes for Hurd support. Closes: #573878.

  [ Joey Hess ]
  * Do not assume that debhelper acts on packages not relevant to build arch.
    (See #576885)

  [ Frans Pop ]
  * Revert workaround for FTBFS on s390 which is no longer needed as of
    debhelper version 7.4.17.

  [ Otavio Salvador ]
  * kfreebsd-{amd64,i386}: depends on isc-dhcp-client-udeb (as it replaces
    the dhcp3-client-udeb).
  * dhcp: drop dhcp3 compatibility since isc-dhcp looks exactly as
    regular dhclient.

  [ Aurelien Jarno ]
  * simplify kfreebsd dependencies.
  * depends on freebsd-net-tools-udeb on kfreebsd.
  * add support for GNU/kFreeBSD.

  [ Updated translations ]
  * Asturian (ast.po) by astur
  * Danish (da.po) by Jacob Sparre Andersen
  * German (de.po) by Holger Wansing
  * Persian (fa.po) by acathur
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jorge Barreiro
  * Hebrew (he.po) by Lior Kaplan
  * Indonesian (id.po) by Arief S Fitrianto
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Central Khmer (km.po) by Khoem Sokhem
  * Korean (ko.po) by Changwoo Ryu
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Latvian (lv.po) by Aigars Mahinovs
  * Norwegian Nynorsk (nn.po) by Eirik U. Birkeland
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by Andrei Popescu
  * Slovenian (sl.po) by Vanja Cvelbar
  * Thai (th.po) by Theppitak Karoonboonyanan

 -- Otavio Salvador <otavio@debian.org>  Mon, 05 Jul 2010 19:08:45 -0300

netcfg (1.52) unstable; urgency=low

  [ Aurelien Jarno ]
  * Loopback network interface name is lo on GNU/Linux and lo0 on
    GNU/kFreeBSD; generalize it with a macro.
  * Build the netcfg binary package on sh4.

  [ Otavio Salvador ]
  * Add support to disable network configuration using preseeding in
    netcfg/enable template. Thanks to Anthony L. Awtrey
    <tony@awtrey.com> for the patch. Closes: #538265

  [ Colin Watson ]
  * On Linux, feed the output of 'ip addr show' into /dev/random after the
    network is up to improve entropy. Idea picked up from Theodore Y. Ts'o,
    http://lkml.org/lkml/2007/12/8/108.
  * Upgrade to debhelper v7.
  * Tell dhclient to wait for netcfg/dhcp_timeout seconds before exiting
    (closes: #566006, LP: #315231).

  [ Otavio Salvador ]
  * Use busybox' udhcpc by default but kfreebsd-amd64 and kfreebsd-i386
    since they lack support in busybox at this moment.

  [ Frans Pop ]
  * Remove no longer needed Lintian override for missing Standards-
    Version field.
  * Disable wireless support for s390.
  * Fix FTBS on s390 caused by upgrade to debhelper v7.
  * Drop support for the discontinued lpia architecture.
  * Improve test for presence of dhcp/dhcp3.
  * Don't ship unnecessary/unused dhcp directories.

 -- Otavio Salvador <otavio@debian.org>  Sun, 21 Feb 2010 23:02:42 -0300

=== debian/control ===
Source: netcfg
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 7.4.17), dpkg-dev (>= 1.9.0), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41), po-debconf (>= 0.5.0), libiw-dev (>= 27+28pre9) [!s390 !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/netcfg

Package: netcfg
XC-Package-Type: udeb
Architecture: i386 amd64 alpha arm armel armeb hppa ia64 m68k mips mipsel powerpc sparc kfreebsd-i386 kfreebsd-amd64 hurd-i386 sh4 sparc64
Depends: ${shlibs:Depends}, ${misc:Depends}, ethernet-card-detection, isc-dhcp-client-udeb [kfreebsd-any], freebsd-net-tools-udeb [kfreebsd-any]
Provides: configured-network
XB-Installer-Menu-Item: 1800
Description: Configure the network
 To install additional installer components or the Debian Base System over
 the network, you need to configure the network in the installer. This 
 component will first try to configure your network with DHCP and ask 
 you for static network configuration if this fails. The configured 
 network settings will be copied to your newly installed system.

Package: netcfg-static
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ethernet-card-detection, freebsd-net-tools-udeb [kfreebsd-any]
Provides: configured-network
XB-Installer-Menu-Item: 1800
Description: Configure a static network
 If you have information such as IP address, netmask, gateway, then you will be
 able to configure a static network.  If you don't know this information, you
 should ask your system administrator, or look at configuration via DHCP.

## netcfg 1.68ubuntu7+5.5trisquel1

=== debian/changelog ===
netcfg (1.68ubuntu7+5.5trisquel1) brigantia; urgency=low

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 05 Apr 2012 14:36:41 +0000

netcfg (1.68ubuntu7) oneiric; urgency=low

  * Fix crash when there are no network interfaces (LP: #870212).

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 08 Oct 2011 00:42:42 +0100

netcfg (1.68ubuntu6) oneiric; urgency=low

  [ Colin Watson ]
  * Backport from trunk:
    - Don't log "Starting netcfg" messages when invoked as ptom.

  [ Stéphane Graber ]
  * Flush all addresses and routes before configuring interfaces (LP: #848072)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 29 Sep 2011 13:46:34 -0400

netcfg (1.68ubuntu5) oneiric; urgency=low

  * Don't preseed IP addresses as hostnames (LP: #856088).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 26 Sep 2011 12:31:41 +0100

netcfg (1.68ubuntu4) oneiric; urgency=low

  * print-dhcpv6-info: Exit immediately if reason is not BOUND6, RENEW6, or
    REBIND6.
  * Don't bother unlinking /var/lib/netcfg/dhcp6c-finished unless we're
    using dhcp6c.
  * print-dhcpv6-info: Actually apply IPv6 address and resolv.conf entries
    received from the DHCPv6 server.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 19 Sep 2011 21:40:25 +0100

netcfg (1.68ubuntu3) oneiric; urgency=low

  * Make print-dhcp6c-info and print-dhcpv6-info executable.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 19 Sep 2011 19:53:11 +0100

netcfg (1.68ubuntu2) oneiric; urgency=low

  * Rebuild source package without spurious BASE/THIS/OTHER files.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 07 Sep 2011 14:29:08 +0100

netcfg (1.68ubuntu1) oneiric; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Set default hostname to 'ubuntu'.
    - Drop priority of netcfg/get_domain to medium for non-static
      configurations.
    - Use 'auto <interface>' for all interfaces, dropping allow-hotplug
      which doesn't work with current udev.
    - Bump the DHCP timeout to 30 seconds.
    - Build for armhf and ppc64.
  * Merge upstream IPv6 branch (not yet mergeable in Debian since it's
    waiting for ifupdown 0.7).  Thanks to Matt Palmer for the bulk of this
    work.
  * Backport from trunk:
    - Explicitly ignore some errors to placate -Wunused-result.
    - Adjust start_dhcp_client to placate -Wformat-security.
    - Handle failure to read a pid from the wpasupplicant pid file.
  * Use isc-dhcp-client-udeb on all architectures.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 10 Aug 2011 14:53:45 +0100

netcfg (1.68) unstable; urgency=low

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * Basque (eu.po)
  * French (fr.po) by Christian Perrier

 -- Christian Perrier <bubulle@debian.org>  Mon, 08 Aug 2011 09:05:58 +0200

netcfg (1.67) unstable; urgency=low

  * Reuploading with all the translations

 -- Gaudenz Steinlin <gaudenz@debian.org>  Sun, 31 Jul 2011 11:21:26 +0200

netcfg (1.66) unstable; urgency=low

  [ Colin Watson ]
  * Strip trailing dots from domain when writing to /etc/hosts
    (LP: #255117).

  [ Gaudenz Steinlin ]
  * Include WPA support.  Thanks to Glen Saberton and Darren Salt
    for the patch. (Closes: #327309)

  [ Updated translations ]
  * Hebrew (he.po) by Lior Kaplan
  * Macedonian (mk.po) by Arangel Angov
  * Sinhala (si.po) by Danishka Navin

 -- Gaudenz Steinlin <gaudenz@debian.org>  Sun, 31 Jul 2011 11:08:02 +0200

netcfg (1.65) unstable; urgency=low

  [ Samuel Thibault ]
  * Disable find_bootif_iface on hurd-i386, as it will not work (and even
    compile).

  [ Christian Perrier ]
  * Fix in Russian translation. Closes: #630523

  [ Colin Watson ]
  * Actually declare netcfg/network-manager template.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 19 Jul 2011 14:08:35 +0100

netcfg (1.64) unstable; urgency=low

  [ Colin Watson ]
  * Appease -Wunused-but-set-variable warning.
  * Fix fd leak in ethtool-lite.
  * Fix file handle leak in no_default_route's Hurd case.
  * Assign NETCFG_VERSION and NETCFG_BUILD_DATE using := rather than =; this
    is more efficient, and also avoids inconsistent build times being
    reported in the case where the build crossed a minute boundary.
  * Rearrange BOOTIF handling to allow us to handle the case where
    netcfg/choose_interface is preseeded with an Ethernet hardware address
    (LP: #708908).  The latter case should work on kFreeBSD as well.
  * Also release lease at end of install when using isc-dhcp-client.
  * Merge from Ubuntu:
    - Call /usr/lib/NetworkManager/ifblacklist_migrate.sh from
      finish-install if present, so that 'auto dhcp' interfaces are disabled
      if network-manager is in use.  May be preseeded away with
      netcfg/network-manager.  (Thanks, Matt Palmer; closes: #614884.)

  [ Wouter Verhelst ]
  * Move 50release-dhcp-lease to 97release-dhcp-lease, so that the
    network isn't brought down before the target is unmounted, which
    breaks installing to a network target such as NBD.

 -- Colin Watson <cjwatson@debian.org>  Wed, 06 Jul 2011 14:47:12 +0100

netcfg (1.63ubuntu2) oneiric; urgency=low

  * Free domain_nodot at the end of netcfg_write_common (thanks, Bryce
    Harrington; LP: #724636).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 24 Jul 2011 13:48:49 +0100

netcfg (1.63ubuntu1) oneiric; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Set default hostname to 'ubuntu'.
    - Drop priority of netcfg/get_domain to medium for non-static
      configurations.
    - Use 'auto <interface>' for all interfaces, dropping allow-hotplug
      which doesn't work with current udev.
    - Call /usr/lib/NetworkManager/ifblacklist_migrate.sh from
      finish-install if present, so that 'auto dhcp' interfaces are disabled
      if network-manager is in use. May be preseeded away with
      netcfg/network-manager.
    - Bump the DHCP timeout to 30 seconds.
    - Strip trailing dots from domain when writing to /etc/hosts.


=== debian/control ===
Source: netcfg
Section: debian-installer
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>,
	Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 7.4.17), dpkg-dev (>= 1.9.0), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41), po-debconf (>= 0.5.0), libiw-dev (>= 27+28pre9) [!s390 !kfreebsd-any !hurd-any]
XS-Debian-Vcs-Browser: http://git.debian.org/?p=d-i/netcfg.git
XS-Debian-Vcs-Git: git://git.debian.org/d-i/netcfg.git
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/netcfg/ubuntu

Package: netcfg
XC-Package-Type: udeb
Architecture: i386 amd64 alpha arm armel armeb armhf hppa ia64 m68k mips mipsel powerpc ppc64 sparc kfreebsd-i386 kfreebsd-amd64 hurd-i386 sh4 sparc64
Depends: ${shlibs:Depends}, ${misc:Depends},
	ethernet-card-detection,
	isc-dhcp-client-udeb,
	freebsd-net-tools-udeb [kfreebsd-any],
	wpasupplicant-udeb [!s390 !kfreebsd-any !hurd-any],
	crypto-modules [!s390 !kfreebsd-any !hurd-any],
	rdnssd-udeb,
	ndisc6-udeb
Provides: configured-network
XB-Installer-Menu-Item: 1800
Description: Configure the network
 To install additional installer components or the Debian Base System over
 the network, you need to configure the network in the installer. This 
 component will first try to configure your network with DHCP and ask 
 you for static network configuration if this fails. The configured 
 network settings will be copied to your newly installed system.

Package: netcfg-static
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
	ethernet-card-detection,
	freebsd-net-tools-udeb [kfreebsd-any]
Provides: configured-network
XB-Installer-Menu-Item: 1800
Description: Configure a static network
 If you have information such as IP address, netmask, gateway, then you will be
 able to configure a static network.  If you don't know this information, you
 should ask your system administrator, or look at configuration via DHCP.

## netcfg 1.68ubuntu14.1

=== debian/changelog ===
netcfg (1.68ubuntu14.1) precise; urgency=low

  [ Philipp Kern ]
  * netcfg.c (main): Remove a local definition of hostname. 
    (Closes: #690330, LP: #901700)

 -- Chris J Arges <chris.j.arges@ubuntu.com>  Tue, 19 Nov 2013 09:45:02 -0600

netcfg (1.68ubuntu14) precise; urgency=low

  * Fix detection of empty domains when writing to /etc/hosts in the case
    where there is no static IP address (LP: #950664).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 09 Mar 2012 16:06:35 +0000

netcfg (1.68ubuntu13) precise; urgency=low

  * When wireless detection doesn't find any network and the user doesn't
    enter any essid, skip directly to the hostname dialog rather than
    prompt for security options on a non-existing network. (LP: #36426)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 05 Mar 2012 15:41:00 -0500

netcfg (1.68ubuntu12) precise; urgency=low

  * Apply patch from Matthew L. Dailey to fix the dns- entries in
    /etc/network/interfaces. (LP: #932275)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 23 Feb 2012 12:27:28 -0500

netcfg (1.68ubuntu11) precise; urgency=low

  * Drop additional debug statements that were included in ubuntu10 by
    mistake...

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 07 Feb 2012 09:27:24 -0500

netcfg (1.68ubuntu10) precise; urgency=low

  * Fix bug where netcfg gets the wrong return value of dhclient6 and
    marked the DHCPv6 connection as failed when it shouldn't.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 06 Feb 2012 21:18:45 -0500

netcfg (1.68ubuntu9) precise; urgency=low

  * Add a post-base-install hook to detect resolvconf and copy
    /run/resolvconf/resolv.conf to outside the target so that when /run
    is bind-mounted DNS resolving continues to work. (LP: #926447)
  * Apply patch from Alec Warner making netcfg respect netcfg/dhcpv6_timeout
    and running dhclient in one-shot mode (-1). (LP: #917905)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 06 Feb 2012 12:05:02 -0500

netcfg (1.68ubuntu8) precise; urgency=low

  * Don't copy /etc/resolv.conf to target if resolvconf is installed.  (We
    already write resolvconf configuration to /etc/network/interfaces.)

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Jan 2012 17:50:50 +0000

## netcfg 1.68ubuntu14.1+6.0.1trisquel1

=== debian/changelog ===
netcfg (1.68ubuntu14.1+6.0.1trisquel1) toutatis; urgency=low

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 24 Aug 2014 04:44:51 +0200

## netcfg 1.68ubuntu17

=== debian/changelog ===
netcfg (1.68ubuntu17) raring; urgency=low

  [ Philipp Kern ]
  * netcfg.c (main): Remove a local definition of hostname. 
    (Closes: #690330, LP: #901700)

 -- Brian Murray <brian@ubuntu.com>  Wed, 12 Dec 2012 13:37:02 -0800

netcfg (1.68ubuntu16) quantal; urgency=low

  [ Philipp Kern ]
  * autoconfig.c: initialize getline's lineptr with NULL.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 23 Aug 2012 17:18:05 +0100

netcfg (1.68ubuntu15) quantal; urgency=low

  * base-installer.d/40netcfg: If resolvconf is installed and
    /target/run/resolvconf/ already exists, then copy /etc/resolv.conf to
    /target/run/resolvconf/resolv.conf to serve as temporary resolver
    configuration during installation, since resolvconf won't have been run
    yet.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 22 Jul 2012 01:21:47 +0100

## netcfg 1.70

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,11 @@
+NETCFG_VERSION := $(shell dpkg-parsechangelog | grep ^Version: |sed 's/Version: //')
+NETCFG_BUILD_DATE := $(shell date '+%Y%m%d-%H%M')
+
 CC		= gcc
 TARGETS		?= netcfg-static netcfg
 
 LDOPTS		= -ldebconfclient -ldebian-installer
-CFLAGS		= -W -Wall -DNDEBUG 
+CFLAGS		= -W -Wall -DNDEBUG -DNETCFG_VERSION="\"$(NETCFG_VERSION)\"" -DNETCFG_BUILD_DATE="\"$(NETCFG_BUILD_DATE)\""
 COMMON_OBJS	= netcfg-common.o wireless.o
 
 WIRELESS	= 1
@@ -10,6 +13,12 @@
 WIRELESS	= 0
 endif
 ifeq ($(DEB_HOST_ARCH),s390)
+WIRELESS	= 0
+endif
+ifeq ($(DEB_HOST_ARCH),s390x)
+WIRELESS	= 0
+endif
+ifeq ($(DEB_HOST_ARCH),sparc)
 WIRELESS	= 0
 endif
 
@@ -26,8 +35,8 @@
 
 all: $(TARGETS)
 
-netcfg-static: netcfg-static.o static.o
-netcfg: netcfg.o dhcp.o static.o ethtool-lite.o
+netcfg-static: netcfg-static.o static.o ethtool-lite.o
+netcfg: netcfg.o dhcp.o static.o ethtool-lite.o wpa.o wpa_ctrl.o
 
 ethtool-lite: ethtool-lite-test.o
 	$(CC) -o $@ $<

=== debian/changelog ===
netcfg (1.70) unstable; urgency=low

  [ Jurij Smakov ]
  * Don't try to compile wireless code on sparc, fixing FTBFS introduced
    by (intentional) dropping of libiw-dev build dependency. 

 -- Jurij Smakov <jurij@debian.org>  Fri, 04 Nov 2011 20:53:05 +0000

netcfg (1.69) unstable; urgency=low

  [ Colin Watson ]
  * armhf was accidentally removed from the Architecture field while merging
    the WPA branch.  Restore it.
  * Explicitly ignore some errors to placate -Wunused-result.
  * Adjust start_dhcp_client to placate -Wformat-security.
  * Handle failure to read a pid from the wpasupplicant pid file.
  * Don't log "Starting netcfg" messages when invoked as ptom.

  [ Holger Wansing ]
  * Mention WPA2 in debconf templates as it is also supported. Also
    explain the PSK acronym.
    Closes: #637467

  [ Philipp Kern ]
  * Add s390x support.  (No wireless.)

  [ Jurij Smakov ]
  * Drop dependency on wpasupplicant and crypto-modules on sparc to get
    netboot image size under 10MB, otherwise it doesn't boot.

 -- Jurij Smakov <jurij@debian.org>  Wed, 02 Nov 2011 06:46:19 +0000

=== debian/control ===
Source: netcfg
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>,
	Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 7.4.17), dpkg-dev (>= 1.9.0), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41), po-debconf (>= 0.5.0), libiw-dev (>= 27+28pre9) [!s390 !s390x !sparc !kfreebsd-any !hurd-any]
Vcs-Browser: http://git.debian.org/?p=d-i/netcfg.git
Vcs-Git: git://git.debian.org/d-i/netcfg.git

Package: netcfg
XC-Package-Type: udeb
Architecture: i386 amd64 alpha arm armel armeb armhf hppa ia64 m68k mips mipsel powerpc sparc kfreebsd-i386 kfreebsd-amd64 hurd-i386 sh4 sparc64
Depends: ${shlibs:Depends}, ${misc:Depends}, ethernet-card-detection, isc-dhcp-client-udeb [kfreebsd-any hurd-any], freebsd-net-tools-udeb [kfreebsd-any], wpasupplicant-udeb [!s390 !s390x !sparc !kfreebsd-any !hurd-any], crypto-modules [!s390 !s390x !sparc !kfreebsd-any !hurd-any]
Provides: configured-network
XB-Installer-Menu-Item: 1800
Description: Configure the network
 To install additional installer components or the Debian Base System over
 the network, you need to configure the network in the installer. This 
 component will first try to configure your network with DHCP and ask 
 you for static network configuration if this fails. The configured 
 network settings will be copied to your newly installed system.

Package: netcfg-static
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ethernet-card-detection, freebsd-net-tools-udeb [kfreebsd-any]
Provides: configured-network
XB-Installer-Menu-Item: 1800
Description: Configure a static network
 If you have information such as IP address, netmask, gateway, then you will be
 able to configure a static network.  If you don't know this information, you
 should ask your system administrator, or look at configuration via DHCP.

## netcfg 1.108

=== debian/changelog ===
netcfg (1.108) unstable; urgency=low

  [ Samuel Thibault ]
  * Do not set netcfg/use_autoconfig to true just because netcfg/disable_dhcp
    is false (which is the default), otherwise netcfg/disable_autoconfig has no
    effect. (Closes: #703747, #688273)

  [ Philipp Kern ]
  * Install iw whenever wireless-tools is installed on the target.
    Patch by Charles Plessy. (Closes: #697890)

  [ Updated translations ]
  * Amharic (am.po) by Tegegne Tefera
  * Croatian (hr.po) by Tomislav Krznar
  * Tamil (ta.po) by Dr.T.Vasudevan

 -- Philipp Kern <pkern@debian.org>  Sun, 07 Apr 2013 22:00:45 +0200

netcfg (1.107) unstable; urgency=low

  * finish-install.d/55netcfg-copy-config: Do not rely on dpkg -l
    to check if a package is installed; use dpkg-query -s instead
    and check status explicitly. (Closes: #700939)

 -- Philipp Kern <pkern@debian.org>  Thu, 21 Feb 2013 15:02:54 +0100

netcfg (1.106) unstable; urgency=low

  * finish-install.d/55netcfg-copy-config: Exit if connection type
    information was not written by netcfg. This preserves the
    generated /etc/network/interfaces on kFreeBSD. It will also
    preserved files generated by users between base install and
    finishing. (Closes: #698626)

 -- Philipp Kern <pkern@debian.org>  Sat, 09 Feb 2013 20:06:18 +0100

netcfg (1.105) unstable; urgency=low

  [ Christian Perrier ]
  * Fix mistranslation in French translation.
    Closes: #699192

  [ Steven Chamberlain ]
  * Fix FTBFS when PATH ends up with ":/bin" because of an off-by-2 bug
    in srunner_mock_path function in test/srunner.c

 -- Christian Perrier <bubulle@debian.org>  Sun, 03 Feb 2013 18:09:07 +0100

netcfg (1.104) unstable; urgency=low

  [ Julien Cristau ]
  * debug: use gai_strerror() on getnameinfo() failure

 -- Philipp Kern <pkern@debian.org>  Sun, 13 Jan 2013 14:24:42 +0100

netcfg (1.103) unstable; urgency=low

  [ Philipp Kern ]
  * netcfg-common.c: Re-enable debug output for IPv4 DNS resolution in
    get_hostname_from_dns.
  * netcfg.c: Only write out NM configuration if at least one interface
    was found. (Closes: #695486)

  [ Updated translations ]
  * Hungarian (hu.po) by Dr. Nagy Elemér Károly

 -- Philipp Kern <pkern@debian.org>  Mon, 10 Dec 2012 18:20:53 +0100

netcfg (1.102) unstable; urgency=low

  [ Sorina Sandu ]
  * On Linux: Write a network-manager configuration file in preference
    to ifupdown if network-manager is found in the installed system.
    Configure wired networking with ifupdown if not. Do not configure
    wireless networking through ifupdown.

  [ Philipp Kern ]
  * nm-conf: Use Linux's random/uuid proc entry.
  * Write out network-manager configuration files with mode 0600.
  * Reword target_network_config template; do not ask the question.
  * nm-conf: use ESSID as connection name
  * finish-install: Do not set /etc/network/interfaces to mode 0600.
  * nm-conf: Allow both IPv4 and IPv6 to be activated post-installation.
  * nm-conf: Only write out MAC addresses on static configurations.
  * Do not compile in network-manager support on kFreeBSD & Hurd.

  [ Cyril Brulebois ]
  * finish-install: Fix bashisms; equality tests are done with '='.

  [ Updated translations ]
  * Belarusian (be.po) by Viktar Siarheichyk

 -- Philipp Kern <pkern@debian.org>  Thu, 22 Nov 2012 00:24:43 +0100

netcfg (1.101) unstable; urgency=low

  * Skip reachability test for empty gateway. (Closes: #690868)
  * Obey netcfg/disable_dhcp for compatibility reasons and disable
    autoconfig. There's no need to break old preseeding scripts,
    as the intent is clear.
  * Add a debconf template for netcfg/disable_autoconfig and state
    that netcfg/disable_dhcp is deprecated.

 -- Philipp Kern <pkern@debian.org>  Sat, 03 Nov 2012 21:48:31 +0100

netcfg (1.100) unstable; urgency=low

  * Temporarily revert the activation of IPv6 privacy extensions
    to cope with network-manager not commenting out the interfaces
    stanza correctly.

 -- Philipp Kern <pkern@debian.org>  Sun, 28 Oct 2012 10:16:17 +0100

netcfg (1.99) unstable; urgency=low

  [ Philipp Kern ]
  * netcfg.c (main): Remove a local definition of hostname.
    (Closes: #690330)
  * Override the hostname found via DHCP or DNS with the preseeded
    value of the new variable netcfg/hostname, if set. Patch by
    Floris Bos. (Closes: #606636)
  * Add myself to uploaders.

  [ Updated translations ]
  * Amharic (am.po) by Tegegne Tefera
  * Asturian (ast.po) by Mikel González
  * Welsh (cy.po) by Dafydd Tomos
  * Esperanto (eo.po) by Felipe Castro
  * Spanish (es.po) by Javier Fernández-Sanguino
  * Galician (gl.po) by Jorge Barreiro
  * Kannada (kn.po) by Prabodh
  * Serbian (sr.po) by Karolina Kalic
  * Tamil (ta.po) by Dr.T.Vasudevan
  * Ukrainian (uk.po) by Yuri Chornoivan

 -- Philipp Kern <pkern@debian.org>  Fri, 26 Oct 2012 11:11:53 +0200

netcfg (1.98) unstable; urgency=low

  * Re-upload without cruft from my checkout, oops.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 05 Oct 2012 00:57:08 +0200

netcfg (1.97) unstable; urgency=low

  * Fix missing build-dep on check for the test suite.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 04 Oct 2012 23:26:58 +0200

netcfg (1.96) unstable; urgency=low

  [ Philipp Kern ]
  * Makefile: set DEB_HOST_ARCH{,_OS} conditionally
  * autoconfig.c: kill dhcp6c after timeout unless a lease is obtained
  * Fix the dns- entries in /etc/network/interfaces. (Closes: #689474)
    Patch by Matthew L. Dailey.
  * Run the test suite during build.

  [ Christian Perrier ]
  * [l10n] Drop use of sublevel 6 and move "recently" added
    strings to the sublevel they pertain to.

  [ Samuel Thibault ]
  * Fix ethtool-lite hurd-i386 build.

  [ Updated translations ]
  * Hindi (hi.po) by Kumar Appaiah
  * Marathi (mr.po) by sampada

 -- Philipp Kern <pkern@debian.org>  Thu, 04 Oct 2012 22:38:34 +0200

netcfg (1.95) unstable; urgency=low

  [ Cyril Brulebois ]
  * Stop overriding CC if it's set.

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach


## netcfg 1.108+deb7u1

=== debian/changelog ===
netcfg (1.108+deb7u1) wheezy; urgency=low

  [ Philipp Kern ]
  * Wrap dpkg-query call to check for network-manager with sh.
    Thanks to Michael Biebl for the patch. (Closes: #717449)

 -- Cyril Brulebois <kibi@debian.org>  Tue, 08 Oct 2013 01:04:51 +0200

=== debian/control ===
Source: netcfg
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>,
	Christian Perrier <bubulle@debian.org>,
	Philipp Kern <pkern@debian.org>
Build-Depends: debhelper (>= 7.4.17), dpkg-dev (>= 1.9.0), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41), po-debconf (>= 0.5.0), libiw-dev (>= 27+28pre9) [!s390 !s390x !sparc !kfreebsd-any !hurd-any], check
Vcs-Browser: http://git.debian.org/?p=d-i/netcfg.git
Vcs-Git: git://git.debian.org/d-i/netcfg.git

Package: netcfg
Package-Type: udeb
Architecture: i386 amd64 alpha arm armel armeb armhf hppa ia64 m68k mips mipsel powerpc sparc kfreebsd-i386 kfreebsd-amd64 hurd-i386 sh4 sparc64 ppc64
Depends: ${shlibs:Depends}, ${misc:Depends},
	ethernet-card-detection,
	isc-dhcp-client-udeb [kfreebsd-any hurd-any],
	freebsd-net-tools-udeb [kfreebsd-any],
	wpasupplicant-udeb [!s390 !s390x !sparc !kfreebsd-any !hurd-any],
	crypto-modules [!s390 !s390x !sparc !kfreebsd-any !hurd-any],
	rdnssd-udeb,
	ndisc6-udeb,
	wide-dhcpv6-client-udeb [linux-any]
Provides: configured-network
XB-Installer-Menu-Item: 1800
Description: Configure the network
 To install additional installer components or the Debian Base System over
 the network, you need to configure the network in the installer. This
 component will first try to configure your network with DHCP and ask
 you for static network configuration if this fails. The configured
 network settings will be copied to your newly installed system.

Package: netcfg-static
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
	ethernet-card-detection,
	freebsd-net-tools-udeb [kfreebsd-any]
Provides: configured-network
XB-Installer-Menu-Item: 1800
Description: Configure a static network
 If you have information such as IP address, netmask, gateway, then you will be
 able to configure a static network.  If you don't know this information, you
 should ask your system administrator, or look at configuration via DHCP.

## netcfg 1.108+deb7u2

=== debian/changelog ===
netcfg (1.108+deb7u2) wheezy; urgency=low

  * Fix support for entering an ESSID manually, it was previously
    getting ignored (Closes: #757478). Thanks to James Cowgill for the
    report and the patch!

 -- Cyril Brulebois <kibi@debian.org>  Sun, 28 Sep 2014 17:11:31 +0200

=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@

override_dh_install:
	dh_install
	install -m755 netcfg-static debian/netcfg-static/bin/netcfg

override_dh_installdebconf:
	dh_installdebconf
ifneq (,$(shell dh_listpackages | grep '^netcfg-static$$'))
	(echo; po2debconf debian/netcfg-common.templates) \
	   >> debian/netcfg-static/DEBIAN/templates
endif
ifneq (,$(shell dh_listpackages | grep '^netcfg$$'))
	(echo ; po2debconf debian/netcfg-common.templates) \
	   >> debian/netcfg/DEBIAN/templates
	(echo ; po2debconf debian/netcfg-dhcp.templates) \
	   >> debian/netcfg/DEBIAN/templates
	(echo ; po2debconf debian/netcfg-static.templates) \
	   >> debian/netcfg/DEBIAN/templates
endif

## netcfg 1.108+deb7u3

=== debian/changelog ===
netcfg (1.108+deb7u3) wheezy; urgency=low

  * Fix missing bounds check on nameserver array iteration, leading to a
    crash when 4 (or more) nameservers are available (Closes: #768218).
    Thanks, Kjell Braden, for the bug report, patch, and tests!

 -- Cyril Brulebois <kibi@debian.org>  Mon, 29 Dec 2014 18:36:19 +0100
